Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.smals.ehealth.codage.beans
Class ChoiceDecodedDataErrorType

    java.lang.Object
      be.smals.ehealth.codage.beans.ChoiceDecodedDataErrorType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2016-07-06T09:26:15+02:00",
               comments="JAXB RI v2.2.6")
    public class ChoiceDecodedDataErrorType

extends Object
implements Serializable

Java class for ChoiceDecodedDataErrorType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ChoiceDecodedDataErrorType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice>
             <element name="decodedData" type="{http://beans.codage.ehealth.smals.be/}DecodedDataType"/>
             <element name="error" type="{http://beans.codage.ehealth.smals.be/}ErrorType"/>
           </choice>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ChoiceDecodedDataErrorType()`

Method Summary
`DecodedDataType` | `getDecodedData()` Gets the value of the decodedData property.
`ErrorType` | `getError()` Gets the value of the error property.
`void` | `setDecodedData(DecodedDataType value)` Sets the value of the decodedData property.
`void` | `setError(ErrorType value)` Sets the value of the error property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChoiceDecodedDataErrorType

    public ChoiceDecodedDataErrorType()

Method Detail

### getError

    public ErrorType getError()

  Gets the value of the error property.

  Returns:
    possible object is `ErrorType`

### setError

    public void setError(ErrorType value)

  Sets the value of the error property.

  Parameters:
    `value` - allowed object is `ErrorType`

### getDecodedData

    public DecodedDataType getDecodedData()

  Gets the value of the decodedData property.

  Returns:
    possible object is `DecodedDataType`

### setDecodedData

    public void setDecodedData(DecodedDataType value)

  Sets the value of the decodedData property.

  Parameters:
    `value` - allowed object is `DecodedDataType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSNURSE 3.10.2 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.